#
# spec file for package python-django-debug-toolbar
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-debug-toolbar
Version:        1.3.0
Release:        3.1
Url:            http://robhudson.github.com/django-debug-toolbar/
Summary:        A configurable set of panels that display various debug information
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/django-debug-toolbar/django-debug-toolbar-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-Django >= 1.4.2
BuildRequires:  python-sqlparse
Requires:       python-Django >= 1.4.2
Requires:       python-sqlparse
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The Django Debug Toolbar is a configurable set of panels that display various
debug information about the current request/response and when clicked, display
more details about the panel's content.

Currently, the following panels have been written and are working:
 - Django version
 - Request timer
 - A list of settings in settings.py
 - Common HTTP headers
 - GET/POST/cookie/session variable display
 - Templates and context used, and their template paths
 - SQL queries including time to execute and links to EXPLAIN each query
 - List of signals, their args and receivers
 - Logging output via Python's built-in logging, or via the logbook module

There is also one Django management command currently:
 - debugsqlshell: Outputs the SQL that gets executed as you work in the Python
   interactive shell.

%prep
%setup -q -n django-debug-toolbar-%{version}
sed -i "s/\(django>=1.4.2\),<1.6/\1/" setup.py django_debug_toolbar.egg-info/requires.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Mar 16 2015 mcihar@suse.cz
- Update to 1.3.0:
    New features
  * A new panel is available: Template Profiler.
  * The SHOW_TOOLBAR_CALLBACK accepts a callable.
  * The toolbar now provides a JavaScript API.
    Bugfixes
  * The toolbar handle cannot leave the visible area anymore when the toolbar is collapsed.
  * The root level logger is preserved.
  * The RESULTS_CACHE_SIZE setting is taken into account.
  * CSS classes are prefixed with djdt- to prevent name conflicts.
  * The private copy of jQuery no longer registers as an AMD module on sites that load RequireJS.
* Wed Jul 23 2014 mcihar@suse.cz
- Update to version 1.2.1:
  + See http://django-debug-toolbar.readthedocs.org/en/1.2/changes.html
    for full changelog
* Fri Nov  8 2013 speilicke@suse.com
- Update to version 0.10.2:
  + Upstream provides no changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Mar 13 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  Most of the license references point to the BSD-2-Clause on
  opensource.org but the COPYING file is BSD-3-Clause
* Mon Mar 12 2012 saschpe@gmx.de
- Fix typo, it's README.rst, not README.rs1
* Sat Mar 10 2012 saschpe@gmx.de
- Use upstream tarball
- Simplify macro usage
* Tue Jan 17 2012 alexandre@exatati.com.br
- Update to 0.9.4:
  - Sorry, no changelog.
* Fri Jan 13 2012 alexandre@exatati.com.br
- Update to 0.9.2:
  - Sorry,, no changelog.
* Wed Jan  4 2012 alexandre@exatati.com.br
- Update to 0.9.1:
  - Sorry, no changelog atm.
* Mon Apr 25 2011 alexandre@exatati.com.br
- Update to 0.8.5:
  - Sorry, no changelog.
- Regenerate spec file with py2pack.
* Tue Nov  9 2010 alexandre@exatati.com.br
- Update to 0.8.4;
- Bzip2 source file;
- Spec file cleaned with spec-cleaner.
* Wed Mar  3 2010 alexandre@exatati.com.br
- Update to 0.8.3.
* Tue Mar  2 2010 alexandre@exatati.com.br
- Update to 0.8.2.
* Wed Nov  4 2009 alexandre@exatati.com.br
- Update to 0.8.1;
- Building as noarch for openSUSE >= 11.2.
* Mon Sep 14 2009 alexandre@exatati.com.br
- Update to 0.8.0.
* Tue Aug 18 2009 alexandre@exatati.com.br
- Initial package (0.7.0) for openSUSE.
